### Enumeration

# Clutter ActorAlign

#### Declaration

    enum Clutter.ActorAlign

#### Description [src]

Controls how a `ClutterActor` should align itself inside the extra space assigned to it during the allocation.

Alignment only matters if the allocated space given to an actor is bigger than its natural size; for example, when the `ClutterActor:x-expand` or the `ClutterActor:y-expand` properties of `ClutterActor` are set to `TRUE`.

#### Members

`CLUTTER_ACTOR_ALIGN_FILL`

  Stretch to cover the whole allocated space.

  - Value: `0`
  - Available since: 16
`CLUTTER_ACTOR_ALIGN_START`

  Snap to left or top side, leaving space to the right or bottom. For horizontal layouts, in right-to-left locales this should be reversed.

  - Value: `1`
  - Available since: 16
`CLUTTER_ACTOR_ALIGN_CENTER`

  Center the actor inside the allocation.

  - Value: `2`
  - Available since: 16
`CLUTTER_ACTOR_ALIGN_END`

  Snap to right or bottom side, leaving space to the left or top. For horizontal layouts, in right-to-left locales this should be reversed.

  - Value: `3`
  - Available since: 16